Name:          lxqt-admin
Version:       2.0.0
Release:       1mamba
Summary:       Two GUI tools to adjust settings of the operating system LXQt is running on
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/lxqt-admin
Source:        https://github.com/lxqt/lxqt-admin.git/%{version}/lxqt-admin-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: liblxqt-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
two GUI tools to adjust settings of the operating system LXQt is running on.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

find %{buildroot}%{_datadir}/*/translations/ -name *.qm | \
while read line; do
  bn=`echo ${line}|cut -d_ -f2-3`
  echo "%lang(${bn/.*}) ${line/*-root}" >> %{name}.lang
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/lxqt-admin-time
%{_bindir}/lxqt-admin-user
%{_bindir}/lxqt-admin-user-helper
%{_datadir}/applications/lxqt-admin-time.desktop
%{_datadir}/applications/lxqt-admin-user.desktop
%{_datadir}/polkit-1/actions/org.lxqt.lxqt-admin-user.policy
%doc AUTHORS COPYING

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 2.0.0-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.0-1mamba
- update to 0.17.0

* Mon Nov 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created using the webbuild interface
